# Welcome to Jekyll!
#
# This config file is meant for settings that affect your whole blog, values
# which you are expected to set up once and rarely edit after that. If you find
# yourself editing this file very often, consider using Jekyll's data files
# feature for the data you need to update frequently.
#
# For technical reasons, this file is *NOT* reloaded automatically when you use
# 'bundle exec jekyll serve'. If you change this file, please restart the server process.
#
# If you need help with YAML syntax, here are some quick references for you: 
# https://learn-the-web.algonquindesign.ca/topics/markdown-yaml-cheat-sheet/#yaml
# https://learnxinyminutes.com/docs/yaml/
#
# Site settings
# These are used to personalize your new site. If you look in the HTML files,
# you will see them accessed via {{ site.title }}, {{ site.email }}, and so on.
# You can create any custom variable you would like, and they will be accessible
# in the templates via {{ site.myvariable }}.

title: FAIR data training
email: ythomas.denecker@france-bioinformatique.fr
description: >- # this means to ignore newlines until "baseurl:"
    L’Institut Français de Bioinformatique (IFB) organise une formation à destination de bioinformaticiens, 
    biologistes et médecins impliqués dans des projets d’analyse bioinformatique de jeux de données omiques 
    et souhaitant mettre en œuvre les principes "FAIR" (Facile à trouver, Accessible, Interopérable, Réutilisable) 
    tout au long du déroulement du projet. La formation abordera les différents points fondamentaux 
    (théoriques, pratiques, juridiques) en lien avec la politique nationale d’ouverture des données 
    de la recherche et présentera sous forme de séances pratiques les ressources nationales accessibles à 
    la communauté scientifique ainsi que les solutions proposées par l’IFB pour gérer les données d’un projet 
    de recherche.
baseurl: "/fair/IFB-FAIR-data-training/" # the subpath of your site, e.g. /blog
url: "" # the base hostname & protocol for your site, e.g. http://example.com
twitter_username: IFB_Bioinfo
github_username:  IFB-ElixirFr
github_repoName:  IFB-FAIR-data-training
github_repo_url: "https://github.com/IFB-ElixirFr/IFB-FAIR-data-training"

# Build settings
plugins:
  - jekyll-feed
  - jekyll-toc
  - jekyll-avatar

collections:
  formateurs:
    output: true
  ressources:
    output: true
  sequences:
    output: true
  modules:
    output: true
  editions:
    output: true

defaults:
  - scope:
      path: ""
      type: "formateurs"
    values:
      layout: "formateur"
  - scope:
      path: ""
      type: "ressources"
    values:
      layout: "ressource"
  - scope:
      path: ""
      type: "modules"
    values:
      layout: "module"
  - scope:
      path: ""
      type: "sequences"
    values:
      layout: "sequence"
  - scope:
      path: ""
      type: "editions"
    values:
      layout: "edition"
  - scope:
      path: ""
    values:
      layout: "default"

# Exclude from processing.
# The following items will not be processed, by default.
# Any item listed under the `exclude:` key here will be automatically added to
# the internal "default list".
#
# Excluded items can be processed by explicitly listing the directories or
# their entries' file path in the `include:` list.
#
# exclude:
#   - .sass-cache/
#   - .jekyll-cache/
#   - gemfiles/
#   - Gemfile
#   - Gemfile.lock
#   - node_modules/
#   - vendor/bundle/
#   - vendor/cache/
#   - vendor/gems/
#   - vendor/ruby/
